
(*
	Ejemplo de un trafo con dos secundarios
	=======================================

Transformador YDY


*)

program usuario;
{$F+}
uses CRT, xMatDefs, FilUSR,UCntrl,Simul2,traxp,variable,
     lib_basi,libep02,libep,hvdc;

const
	NCiclos = 2;
	cuartoT = 5.0e-3;
	w50 = 314.159;
	Tgama = 6.6666e-3; {20 ms/3}
	tau = Tgama/2;


	LccS = 3e-3; {inductancias de fugas del trafo referidas al secundario}
        RccS = 0.1;  {resistencia de fugas del trafo referidas al secundario}
	va = 179; { tensin de alimentacin }
        nrs = 0.86603/2;
        nrt = 1/2;

const
	va1: boolean = true;
	va2: boolean = false;
	va3: boolean = true;


procedure cirt1;
begin
	vg(1,4,3,va);
	vg(2,4,1,va);
	vg(3,4,2,va);
        Trafo3F_YDY_LRccS(
	   5, 1, 2, 3,
	   6, 7, 8,
           9, 10, 11, 12,
	   nrs,
           nrt,
           LccS,
           RccS);



end; (* cirt1 *)


Type
	TFunFase = function ( x: NReal ):NReal;

function fase1(tx:NReal):NReal; far;
var
	m: NReal;
begin
	m:= cos(w50*tx);
	fase1:= m;
end;

function fase2(tx:NReal):NReal; far;
begin
	fase2:=fase1(tx-Tgama);
end;

function fase3(tx:NReal):NReal; far;
begin
	fase3:=fase1(tx+Tgama);
end;


procedure cirt2;

begin
end;

procedure funcsr(t: NReal);
begin
	rf[1]:= fase1(t);
	rf[2]:= fase2(t);
	rf[3]:= fase3(t);

end;


procedure inicio;
begin

for nn:= 1 to 6 do x0[nn]:=1; {inicializo variables de estado}

nn:=12;
nindep:=3;


tinicial:=0;
tfinal:=20e-3*nciclos;
dtmax0:=(tfinal-tinicial)/300;

PasoDivisor:=3;

TmaxTmin:=1e3;

traxp.tinicial:=tinicial;
traxp.tfinal:=tfinal;

iniciegr;

gridx:=10;
subplot(2,2);

gridy:=8;
definaY(1,-250,63);
ylabel('63V/DIV');
titulo('Voltaje entrada');
grid;
linea0;
{
superponga(2,1);
superponga(3,1);

{
gridY:=8;
definaY(2,-250,63);
ylabel('63V/DIV');
titulo('Secundario');
grid;
linea0;

superponga(6,2);
superponga(7,2);
superponga(8,2);

gridY:=8;
definaY(2,-250,63);
ylabel('63V/DIV');
titulo('Terceario');
grid;
linea0;

superponga(10,2);
superponga(11,2);
superponga(12,2);
}
end;


procedure PlotRef( canal: integer; var va: boolean; ff: TFunFase; t:NReal);
begin

	if ff(t-CuartoT)>0 then
	begin
		if not va then
		begin
			va:= true;
			desligue(canal);
		end;
		trazo(canal, ff(t));
	end
	else
	begin
		if va then
		begin
			va:= false;
			desligue(canal);
		end;
		trazo(canal, -ff(t));
	end;

end;



procedure fin;
begin
readln;
TermineGr;
end;

procedure pesca;
var
	tecla: char;
        k:integer;

begin

traxp.t:=t;
{
trazo(1,v[1]);
trazo(2,v[2]);
trazo(3,v[3]);

trazo(6,v[6]);
trazo(7,v[7]);
trazo(8,v[8]);

trazo(10,v[10]);
trazo(11,v[11]);
trazo(12,v[12]);
}

PlotRef( 0, va1, fase1, t);
{
PlotRef( 2, va2, fase2, t);
PlotRef( 3, va3, fase3, t);
}


	if t >= tfinal then
	begin


		for k:= 0 to 5 do
		begin
			borrecanal(k,0);
			desligue(k);
			grid;
			borde;
			linea0;
		end;
			t:= t-tfinal+tinicial;
	end;

end;






begin
FilUSR.Cirt1:=Cirt1;
FilUSR.Cirt2:=Cirt2;
FilUSR.FuncsR:=FuncsR;
FilUSR.Inicio:=Inicio;
FilUSR.Pesca:=Pesca;





{ Inicializamos el driver de controladores }
uCntrl.init;

{ Agregamos un control que es solamente un ttulo }
uCntrl.insert(new(PCtrlTexto, init(
			1,             { nmero del renglon en la banda de texto }
			'CONTROLES:'
			))); { nmero de caracteres del intertexto }

{ Al apretar la letra 's' o 'S' se correr el procedimiento fin }
uCntrl.insert( new(PCtrlProcedure, Init(
			's',
			12,
			'Retorno)  =  Salir',
			fin )));  { procedimiento a ejecutar }




paseo;
fin
end.
