
(*
	Ejemplo de un trafo con dos secundarios
	=======================================

Transformador YDY
Ejemplo que funciones bien
--------------------------


*)

program usuario;
{$F+}
uses CRT, xMatDefs, FilUSR,UCntrl,Simul2,traxp,variable,
     lib_basi,libep02,libep,hvdc;

const
	NCiclos = 2;
	cuartoT = 5.0e-3;
	w50 = 314.159;
	Tgama = 6.6666e-3; {20 ms/3}
	tau = Tgama/2;


	LccS = 3e-3; {inductancias de fugas del trafo referidas al secundario}
        RccS = 0.1;  {resistencia de fugas del trafo referidas al secundario}
	va = 179; { tensin de alimentacin }
        nrs = 1/2;
        nrt = 1/2;

const
	va1: boolean = true;
	va2: boolean = false;
	va3: boolean = true;


procedure cirt1;
begin
	vg(1,0,3,va);
	vg(2,0,1,va);
	vg(3,0,2,va);
        Trafo3F_YDY_LRccS(
	   0, 1, 2, 3,
	   4, 5, 6,
	   0, 7, 8, 9,	
           nrs,
	   nrt,
           LccS,
           RccS);
        r(4,0,100);
        r(5,0,100);
        r(6,0,100);
        r(7,0,100);
        r(8,0,100);
        r(9,0,100);


end; (* cirt1 *)


Type
	TFunFase = function ( x: NReal ):NReal;

function fase1(tx:NReal):NReal; far;
var
	m: NReal;
begin
	m:= cos(w50*tx);
	fase1:= m;
end;

function fase2(tx:NReal):NReal; far;
begin
	fase2:=fase1(tx-Tgama);
end;

function fase3(tx:NReal):NReal; far;
begin
	fase3:=fase1(tx+Tgama);
end;


procedure cirt2;

begin
end;

procedure funcsr(t: NReal);
begin
	rf[1]:= fase1(t);
	rf[2]:= fase2(t);
	rf[3]:= fase3(t);

end;


procedure inicio;
begin

for nn:= 1 to 6 do x0[nn]:=0; {inicializo variables de estado}

nn:=9;
nindep:=3;


tinicial:=0;
tfinal:=20e-3*nciclos;
dtmax0:=(tfinal-tinicial)/300;

PasoDivisor:=3;

TmaxTmin:=1e3;

traxp.tinicial:=tinicial;
traxp.tfinal:=tfinal;

iniciegr;

gridx:=10;
subplot(1,2);

gridy:=10;
definaY(0,-320,64);
ylabel('64V/DIV');
titulo('Tensio de linea  Primario: azul   Secundario: rojo    Terciario: verde');
grid;
linea0;

gridy:=10;
definaY(1,-320,64);
ylabel('64V/DIV');
titulo('Tension de fase  Primario: azul   Secundario: rojo    Terciario: verde');
grid;
linea0;


superponga(2,0);
superponga(3,0);

superponga(4,1);
superponga(5,1);

definacolor(2,rojo);
definacolor(3,verde);

definacolor(4,rojo);
definacolor(5,verde);

end;


procedure PlotRef( canal: integer; var va: boolean; ff: TFunFase; t:NReal);
begin

	if ff(t-CuartoT)>0 then
	begin
		if not va then
		begin
			va:= true;
			desligue(canal);
		end;
		trazo(canal, ff(t));
	end
	else
	begin
		if va then
		begin
			va:= false;
			desligue(canal);
		end;
		trazo(canal, -ff(t));
	end;

end;



procedure fin;
begin
readln;
TermineGr;
end;

procedure pesca;
var
	tecla: char;
        k:integer;

begin

traxp.t:=t;

trazo(0,v[1]-v[2]);
trazo(2,v[4]-v[5]);
trazo(3,v[7]-v[8]);

trazo(1,v[1]);
trazo(4,v[4]-v[5]);
trazo(5,v[7]);

end;






begin
FilUSR.Cirt1:=Cirt1;
FilUSR.Cirt2:=Cirt2;
FilUSR.FuncsR:=FuncsR;
FilUSR.Inicio:=Inicio;
FilUSR.Pesca:=Pesca;


{ Inicializamos el driver de controladores }
uCntrl.init;

{ Agregamos un control que es solamente un ttulo }
uCntrl.insert(new(PCtrlTexto, init(
			1,             { nmero del renglon en la banda de texto }
			'CONTROLES:'
			))); { nmero de caracteres del intertexto }

{ Al apretar la letra 's' o 'S' se correr el procedimiento fin }
uCntrl.insert( new(PCtrlProcedure, Init(
			's',
			12,
			'Retorno)  =  Salir',
			fin )));  { procedimiento a ejecutar }


        




paseo;
fin
end.
