
(*
	Ejemplo de un trafo con dos secundarios
	=======================================

Transformador YDY


*)

program usuario;
{$F+}
uses CRT, xMatDefs, FilUSR,UCntrl,Simul2,traxp,variable,
     lib_basi,libep02,libep,hvdc;

const
	NCiclos = 2;
	cuartoT = 5.0e-3;
	w50 = 314.159;
	Tgama = 6.6666e-3; {20 ms/3}
	tau = Tgama/2;


	LccS = 3e-3; {inductancias de fugas del trafo referidas al secundario}
        RccS = 0.1;  {resistencia de fugas del trafo referidas al secundario}
	va = 179; { tensin de alimentacin }
        nrs = 0.86603/2;
        nrt = 1/2;

const
	va1: boolean = true;
	va2: boolean = false;
	va3: boolean = true;


procedure cirt1;
begin
	vg(1,1,0,va);

        r(3,4,100);

end; (* cirt1 *)


Type
	TFunFase = function ( x: NReal ):NReal;

function fase1(tx:NReal):NReal; far;
var
	m: NReal;
begin
	m:= cos(w50*tx);
	fase1:= m;
end;

function fase2(tx:NReal):NReal; far;
begin
	fase2:=fase1(tx-Tgama);
end;

function fase3(tx:NReal):NReal; far;
begin
	fase3:=fase1(tx+Tgama);
end;


procedure cirt2;

begin
TrafoLRccS(
	1, 0, 3, 4,
	nrs,
	LccS, RccS);
end;

procedure funcsr(t: NReal);
begin
	rf[1]:= fase1(t);
end;


procedure inicio;
begin

for nn:= 1 to 1 do x0[nn]:=0; {inicializo variables de estado}

nn:=3;
nindep:=1;


tinicial:=0;
tfinal:=20e-3*nciclos;
dtmax0:=(tfinal-tinicial)/300;

PasoDivisor:=3;

TmaxTmin:=1e3;

traxp.tinicial:=tinicial;
traxp.tfinal:=tfinal;

iniciegr;

gridx:=10;
subplot(2,2);

gridy:=8;
definaY(0,-250,63);
ylabel('63V/DIV');
titulo('Voltaje entrada');
grid;
linea0;

end;

procedure fin;
begin
readln;
TermineGr;
end;

procedure pesca;
var
	tecla: char;
        k:integer;

begin

traxp.t:=t;

trazo(0,v[1]-v[0]);

end;






begin
FilUSR.Cirt1:=Cirt1;
FilUSR.Cirt2:=Cirt2;
FilUSR.FuncsR:=FuncsR;
FilUSR.Inicio:=Inicio;
FilUSR.Pesca:=Pesca;


{ Inicializamos el driver de controladores }
uCntrl.init;

{ Agregamos un control que es solamente un ttulo }
uCntrl.insert(new(PCtrlTexto, init(
			1,             { nmero del renglon en la banda de texto }
			'CONTROLES:'
			))); { nmero de caracteres del intertexto }

{ Al apretar la letra 's' o 'S' se correr el procedimiento fin }
uCntrl.insert( new(PCtrlProcedure, Init(
			's',
			12,
			'Retorno)  =  Salir',
			fin )));  { procedimiento a ejecutar }







paseo;
fin
end.
