unit fijapaso;
interface

uses xMatDefs, MatReal,ComPol,Math01,variable, CYTipos;

procedure PasoEstable(var tmax:NReal);
(* Por tmax entramos el valor mximo para el cual probar,
el procedimiento divide entre 2 este paso mximo, hasta
obtener un paso para el cal el algoritmo I+A*paso es estble *)

implementation


var
r,p: TPoliR;


{$F+}
function Stable(T:NReal):NReal;
begin
	r:=p;
	Homotecia(r,T);
	CambioVar(r,-1);
	if Jury(r)>0 then Stable:=-1
	else Stable:=1;
end;
{$F-}



procedure PasoEstable(var tmax:NReal);

label salto;

label lb_fin;
var
	A: TMatR;
	maux,maxaux,paso:NReal;
	k,j,kindice:integer;
	pt:pointer;
	fp:NReal;
	NI:word;
	res:boolean;


begin
	paso:=tmax*pasodivisor;

	{ Si son todas redunantes no hay nada para calcular. En la implementacin
	del formador de ecuaciones en que se elimino las variables redundantes
	mediante derivacin de la relacin entre las variables la redundancia
   tiene valor CERO cuando se llega a este lugar. }
	if nx-redundancia =0 then goto salto;
	a.init(nx-redundancia,nx-redundancia);

	{ Buscamos el coeficiente de mayor valor absoluto y copiamos
	la submatriz de m en la matriz a }
	maxaux:=abs(m[nn+1,nn+nx+1]);
	for k:=1 to nx-redundancia do
  	begin
  		pt:=a.pte(k,1);
  		for j:= 1 to nx-redundancia do
   	begin
	 		NReal(pt^):=m[k+nn,j+nn+nx];
	 		if abs(NReal(pt^))>maxaux then maxaux :=abs(NReal(pt^));
	 		a.incol(pt);
   	end;
  	end;

	if EsCero(maxaux) then goto lb_fin;

   { Normalizamos la matriz }
	for k:=1 to nx-redundancia do
   begin
   	pt:=a.pte(k,1);
    	for j:= 1 to nx-redundancia do
      begin
			NReal(pt^):=NReal(pt^)/maxaux;
			a.incol(pt);
      end;
   end;

	a.PolinomioCaracteristico(p);


	paso:=tmax*maxaux*PasoDivisor;
	Dicot(
		Stable,
		0,paso,paso/100,
		1000,
		paso,fp,
		NI,
		res);
	Dicot(
		Stable,
		0,2*paso,paso/10,
		1000,
		paso,fp,
		NI,
		res);

	paso:=paso/maxaux;
	lb_fin:
	a.done;
	salto:
	tmax:=paso/PasoDivisor;
	dtmin:=tmax/tmaxtmin;
end;

begin
 PasoDivisor:=10; { Valor predefinido }
 TmaxTmin:=1000;
end.



