UNIT raton;

INTERFACE

USES crt,DOS;

 VAR

 {..Del Ratn..}                  ContBoton: Integer;
 (*
 {....Otras....}                        x,y: Word;
					  Izquierda, Derecha, Centro: Boolean;
									  xx, i, c, graf: integer;

						{..Procedimientos Relativos al ratn.....}
  *)
PROCEDURE RESET_RATON;
PROCEDURE PUNTERO_ON;
PROCEDURE PUNTERO_OFF;
PROCEDURE PUNTERO_A_XY(x, y:Word);
PROCEDURE LEER_RATON(var x, y:Word; var izquierda, centro, derecha:Boolean);
PROCEDURE SOLTAR_RATON(x,y:Word; izquierda, centro, derecha:Boolean);
PROCEDURE RANGO_COLUMNA(sup, inf:Word);
PROCEDURE RANGO_FILA(sup, inf:Word);
PROCEDURE INICIALIZAR_RATON;
FUNCTION  RATON_INSTALADO:Boolean;
{PROCEDURE LLAMA_RATON( var  M1, M2, M3, M4 :Word);}

									  IMPLEMENTATION
{**********************************************************************}

 VAR      M1, M2, M3, M4:Word;
			 OldExitproc:Pointer;

{**********************************************************************}
{.........................RELATIVOS AL RATON...........................}
{**********************************************************************}

PROCEDURE LLAMA_RATON( var  M1, M2, M3, M4 :Word);
var Regs:Registers;
begin
  With Regs DO
  begin
  AX:=M1; BX:=M2; CX:=M3; DX:=M4;
  end;
  Intr(51,Regs);
  With Regs DO
  begin
  M1:=AX; M2:=BX; M3:=CX; M4:=DX;
  end
end;

{-----------------------------------------------------------------------}

FUNCTION NUMERO_DE_BOTONES:Integer;
begin
M1:=0;
LLAMA_RATON(M1,M2,M3,M4);
NUMERO_DE_BOTONES:=M2;
end;

{-----------------------------------------------------------------------}

FUNCTION RATON_INSTALADO:Boolean;
begin
M1:=0;
LLAMA_RATON(M1,M2,M3,M4);
RATON_INSTALADO:=M1<>0;
end;

{-----------------------------------------------------------------------}
    {...Los procedimientos por encima de este punto son privados...}

PROCEDURE RESET_RATON;
begin
M1:=0;
LLAMA_RATON(M1, M2, M3, M4);
end;

{-----------------------------------------------------------------------}

PROCEDURE PUNTERO_ON;
begin
M1:=1;
LLAMA_RATON(M1, M2, M3, M4);
end;

{-----------------------------------------------------------------------}

PROCEDURE PUNTERO_OFF;
begin
M1:=2;
LLAMA_RATON(M1, M2, M3, M4);
end;

{-----------------------------------------------------------------------}

PROCEDURE LEER_RATON(var x, y:Word; var izquierda, centro, derecha:Boolean);
begin
M1:=3;
LLAMA_RATON(M1, M2, M3, M4);
X:=M3;  Y:=M4;
IF (M2 AND $01) =   $01  THEN izquierda:=TRUE else izquierda:=FALSE;
IF (M2 AND $02) =   $02  THEN derecha:=TRUE else derecha:=FALSE;
IF (M2 AND $04) =   $04  THEN centro:=TRUE else centro:=FALSE;
end;

{-----------------------------------------------------------------------}

PROCEDURE PUNTERO_A_XY(x, y:Word);
begin
M1:=4;
M3:=x;
M4:=y;
LLAMA_RATON(M1, M2, M3, M4);
end;

{-----------------------------------------------------------------------}

PROCEDURE RANGO_COLUMNA(sup, inf:Word);
begin
M1:=7;
M3:=inf;
M4:=sup;
LLAMA_RATON(M1, M2, M3, M4);
end;

{-----------------------------------------------------------------------}

PROCEDURE RANGO_FILA(sup, inf:Word);
begin
M1:=8;
M3:=inf;
M4:=sup;
LLAMA_RATON(M1, M2, M3, M4);
end;

{-----------------------------------------------------------------------}

PROCEDURE SOLTAR_RATON(x,y:Word; izquierda, centro, derecha:Boolean);
begin
Repeat LEER_RATON(x,y, izquierda, centro, derecha);
until (izquierda=FALSE) AND (derecha=FALSE);
PUNTERO_OFF;
end;

{-----------------------------------------------------------------------}

PROCEDURE ESPERAR_A_RATON_DERECHO(x,y:Word; izquierda, centro, derecha:Boolean);
  var  concluir:Boolean;
begin
concluir:=FALSE;
derecha:=FALSE;
  while concluir=FALSE do
  begin
  LEER_RATON(x,y, izquierda, centro, derecha);
	if derecha=TRUE then concluir:=TRUE;
  end;
SOLTAR_RATON(x,y, izquierda, centro, derecha);
end;

{----------------------------------------------------------------------}

PROCEDURE INICIALIZAR_RATON;
BEGIN
			 {..Comprobacin del Ratn..}

	 IF NOT RATON_INSTALADO then
	 begin
	 Write('ERROR: No se detecta controlador de RATON. Volver al DOS.');
	 HALT(1)
	 end;
{ContBoton:=NUMERO_DE_BOTONES;
						{...COMIENZO CON RATON...}
{
Derecha:=FALSE;
Centro:=FALSE;}
RANGO_FILA(7,473);
RANGO_COLUMNA(490,632);
PUNTERO_A_XY(610,447);
END;

{-----------------------------------------------------------------------}
{...........................INICIALIZAR.................................}

BEGIN
 ContBoton:=Numero_De_Botones; {..Inicialicacin referente al Ratn..}
END.


